[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.OnThemeChange

Event handler signalled when the current window theme has been changed.

## Declaration

Source position: themes.pas line 510

`public property TThemeServices.OnThemeChange : TNotifyEvent read FOnThemeChange write FOnThemeChange;`

## Description

OnThemeChange is a TNotifyEvent property with the event handler signalled when the current window theme has been changed. Applications must implement and assign an object procedure to the handler to respond to the event notification.

## See also

TNotifyEvent